spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: Problem with jackson lib running on spark
Date Sat, 02 Apr 2016 02:48:02 GMT
Thanks for sharing the workaround.

Probably send a PR on tranquilizer github :-)

On Fri, Apr 1, 2016 at 12:50 PM, Marcelo Oikawa <marcelo.oikawa@webradar.com
> wrote:

> Hi, list.
>
> Just to close the thread. Unfortunately, I didnt solve the jackson lib
> problem but I did a workaround that works fine for me. Perhaps this help
> another one.
>
> The problem raised from this line when I try to create tranquilizer object
> (used to connect to Druid) using this utility *fromConfig*.
>
> tranquilizer = DruidBeams.fromConfig(dataSourceConfig).buildTranquilizer(tranquilizerBuider);
>
> Instead, I create the tranquilizer object-by-object as showed below:
>
> DruidDimensions dimentions = getDimensions(props);
> List<AggregatorFactory> aggregators = getAggregations(props);
>
> TimestampSpec timestampSpec = new TimestampSpec("timestamp", "auto", null);
> Timestamper<Map<String, Object>> timestamper = map -> new DateTime(map.get("timestamp"));
> DruidLocation druidLocation = DruidLocation.create("overlord", "druid:firehose:%s", dataSource);
> DruidRollup druidRollup = DruidRollup.create(dimentions, aggregators, QueryGranularity.ALL);
>
>
> ClusteredBeamTuning clusteredBeamTuning = ClusteredBeamTuning.builder()
>                                                     .segmentGranularity(Granularity.FIVE_MINUTE)
>                                                     .windowPeriod(new Period("PT60m"))
>                                                     .partitions(1)
>                                                     .replicants(1)
>                                                     .build();
>
> tranquilizer = DruidBeams.builder(timestamper)
>                .curator(buildCurator(props))
>                .discoveryPath("/druid/discovery")
>                .location(druidLocation)
>                .timestampSpec(timestampSpec)
>                .rollup(druidRollup)
>                .tuning(clusteredBeamTuning)
>                .buildTranquilizer();
>
> tranquilizer.start();
>
> That worked for me. Thank you Ted, Alonso and other users.
>
>
> On Thu, Mar 31, 2016 at 4:08 PM, Marcelo Oikawa <
> marcelo.oikawa@webradar.com> wrote:
>
>>
>> Please exclude jackson-databind - that was where the AnnotationMap class
>>> comes from.
>>>
>>
>> I tried as you suggest but i getting the same error. Seems strange
>> because when I see the generated jar there is nothing related as
>> AnnotationMap but there is a databind there.
>>
>>
>> ‚Äč
>>
>>
>>>
>>> On Thu, Mar 31, 2016 at 11:37 AM, Marcelo Oikawa <
>>> marcelo.oikawa@webradar.com> wrote:
>>>
>>>> Hi, Alonso.
>>>>
>>>> As you can see jackson-core is provided by several libraries, try to
>>>>> exclude it from spark-core, i think the minor version is included within
>>>>> it.
>>>>>
>>>>
>>>> There is no more than one jackson-core provides by spark-core. There
>>>> are jackson-core and jackson-core-asl but are differents artifacts. BTW, I
>>>> tried to exclude then but no sucess. Same error:
>>>>
>>>> java.lang.IllegalAccessError: tried to access method
>>>> com.fasterxml.jackson.databind.introspect.AnnotatedMember.getAllAnnotations()Lcom/fasterxml/jackson/databind/introspect/AnnotationMap;
>>>> from class
>>>> com.fasterxml.jackson.databind.introspect.GuiceAnnotationIntrospector
>>>>     at
>>>> com.fasterxml.jackson.databind.introspect.GuiceAnnotationIntrospector.findInjectableValueId(GuiceAnnotationIntrospector.java:39)
>>>>     at
>>>> com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair.findInjectableValueId(AnnotationIntrospectorPair.java:269)
>>>>     at
>>>> com.fasterxml.jackson.databind.deser.BasicDeserializerFactory._addDeserializerConstructors(BasicDeserializerFactory.java:433)
>>>>     ...
>>>>
>>>> I guess the problem is incopabilities between jackson artifacts that
>>>> comes from tranquility dependency vs spark prodided but I also tried to
>>>> find same jackson artifacts but in different versions but there is no one.
>>>> What is missing?
>>>>
>>>>
>>>> Use this guide to see how to do it:
>>>>>
>>>>>
>>>>> https://maven.apache.org/guides/introduction/introduction-to-optional-and-excludes-dependencies.html
>>>>>
>>>>>
>>>>>
>>>>> Alonso Isidoro Roman.
>>>>>
>>>>> Mis citas preferidas (de hoy) :
>>>>> "Si depurar es el proceso de quitar los errores de software, entonces
>>>>> programar debe ser el proceso de introducirlos..."
>>>>>  -  Edsger Dijkstra
>>>>>
>>>>> My favorite quotes (today):
>>>>> "If debugging is the process of removing software bugs, then
>>>>> programming must be the process of putting ..."
>>>>>   - Edsger Dijkstra
>>>>>
>>>>> "If you pay peanuts you get monkeys"
>>>>>
>>>>>
>>>>> 2016-03-31 20:01 GMT+02:00 Marcelo Oikawa <marcelo.oikawa@webradar.com
>>>>> >:
>>>>>
>>>>>> Hey, Alonso.
>>>>>>
>>>>>> here is the output:
>>>>>>
>>>>>> [INFO] spark-processor:spark-processor-druid:jar:1.0-SNAPSHOT
>>>>>> [INFO] +- org.apache.spark:spark-streaming_2.10:jar:1.6.1:provided
>>>>>> [INFO] |  +- org.apache.spark:spark-core_2.10:jar:1.6.1:provided
>>>>>> [INFO] |  |  +- org.apache.avro:avro-mapred:jar:hadoop2:1.7.7:provided
>>>>>> [INFO] |  |  |  +- org.apache.avro:avro-ipc:jar:1.7.7:provided
>>>>>> [INFO] |  |  |  \- org.apache.avro:avro-ipc:jar:tests:1.7.7:provided
>>>>>> [INFO] |  |  +- com.twitter:chill_2.10:jar:0.5.0:provided
>>>>>> [INFO] |  |  |  \- com.esotericsoftware.kryo:kryo:jar:2.21:provided
>>>>>> [INFO] |  |  |     +-
>>>>>> com.esotericsoftware.reflectasm:reflectasm:jar:shaded:1.07:provided
>>>>>> [INFO] |  |  |     +-
>>>>>> com.esotericsoftware.minlog:minlog:jar:1.2:provided
>>>>>> [INFO] |  |  |     \- org.objenesis:objenesis:jar:1.2:provided
>>>>>> [INFO] |  |  +- com.twitter:chill-java:jar:0.5.0:provided
>>>>>> [INFO] |  |  +- org.apache.xbean:xbean-asm5-shaded:jar:4.4:provided
>>>>>> [INFO] |  |  +- org.apache.hadoop:hadoop-client:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  +- org.apache.hadoop:hadoop-common:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  |  +- org.apache.commons:commons-math:jar:2.1:provided
>>>>>> [INFO] |  |  |  |  +- xmlenc:xmlenc:jar:0.52:provided
>>>>>> [INFO] |  |  |  |  +-
>>>>>> commons-configuration:commons-configuration:jar:1.6:provided
>>>>>> [INFO] |  |  |  |  |  +-
>>>>>> commons-digester:commons-digester:jar:1.8:provided
>>>>>> [INFO] |  |  |  |  |  |  \-
>>>>>> commons-beanutils:commons-beanutils:jar:1.7.0:provided
>>>>>> [INFO] |  |  |  |  |  \-
>>>>>> commons-beanutils:commons-beanutils-core:jar:1.8.0:provided
>>>>>> [INFO] |  |  |  |  \- org.apache.hadoop:hadoop-auth:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  +- org.apache.hadoop:hadoop-hdfs:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  |  \- org.mortbay.jetty:jetty-util:jar:6.1.26:provided
>>>>>> [INFO] |  |  |  +-
>>>>>> org.apache.hadoop:hadoop-mapreduce-client-app:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  |  +-
>>>>>> org.apache.hadoop:hadoop-mapreduce-client-common:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  |  |  +-
>>>>>> org.apache.hadoop:hadoop-yarn-client:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  |  |  |  +-
>>>>>> com.sun.jersey.jersey-test-framework:jersey-test-framework-grizzly2:jar:1.9:provided
>>>>>> [INFO] |  |  |  |  |  |  |  +-
>>>>>> com.sun.jersey.jersey-test-framework:jersey-test-framework-core:jar:1.9:provided
>>>>>> [INFO] |  |  |  |  |  |  |  |  \-
>>>>>> com.sun.jersey:jersey-client:jar:1.9:provided
>>>>>> [INFO] |  |  |  |  |  |  |  \-
>>>>>> com.sun.jersey:jersey-grizzly2:jar:1.9:provided
>>>>>> [INFO] |  |  |  |  |  |  |     +-
>>>>>> org.glassfish.grizzly:grizzly-http:jar:2.1.2:provided
>>>>>> [INFO] |  |  |  |  |  |  |     |  \-
>>>>>> org.glassfish.grizzly:grizzly-framework:jar:2.1.2:provided
>>>>>> [INFO] |  |  |  |  |  |  |     |     \-
>>>>>> org.glassfish.gmbal:gmbal-api-only:jar:3.0.0-b023:provided
>>>>>> [INFO] |  |  |  |  |  |  |     |        \-
>>>>>> org.glassfish.external:management-api:jar:3.0.0-b012:provided
>>>>>> [INFO] |  |  |  |  |  |  |     +-
>>>>>> org.glassfish.grizzly:grizzly-http-server:jar:2.1.2:provided
>>>>>> [INFO] |  |  |  |  |  |  |     |  \-
>>>>>> org.glassfish.grizzly:grizzly-rcm:jar:2.1.2:provided
>>>>>> [INFO] |  |  |  |  |  |  |     +-
>>>>>> org.glassfish.grizzly:grizzly-http-servlet:jar:2.1.2:provided
>>>>>> [INFO] |  |  |  |  |  |  |     \-
>>>>>> org.glassfish:javax.servlet:jar:3.1:provided
>>>>>> [INFO] |  |  |  |  |  |  \-
>>>>>> com.sun.jersey:jersey-json:jar:1.9:provided
>>>>>> [INFO] |  |  |  |  |  |     +-
>>>>>> org.codehaus.jettison:jettison:jar:1.1:provided
>>>>>> [INFO] |  |  |  |  |  |     |  \- stax:stax-api:jar:1.0.1:provided
>>>>>> [INFO] |  |  |  |  |  |     +-
>>>>>> com.sun.xml.bind:jaxb-impl:jar:2.2.3-1:provided
>>>>>> [INFO] |  |  |  |  |  |     |  \-
>>>>>> javax.xml.bind:jaxb-api:jar:2.2.2:provided
>>>>>> [INFO] |  |  |  |  |  |     |     \-
>>>>>> javax.activation:activation:jar:1.1:provided
>>>>>> [INFO] |  |  |  |  |  |     +-
>>>>>> org.codehaus.jackson:jackson-jaxrs:jar:1.8.3:provided
>>>>>> [INFO] |  |  |  |  |  |     \-
>>>>>> org.codehaus.jackson:jackson-xc:jar:1.8.3:provided
>>>>>> [INFO] |  |  |  |  |  \-
>>>>>> org.apache.hadoop:hadoop-yarn-server-common:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  |  \-
>>>>>> org.apache.hadoop:hadoop-mapreduce-client-shuffle:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  +-
>>>>>> org.apache.hadoop:hadoop-yarn-api:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  +-
>>>>>> org.apache.hadoop:hadoop-mapreduce-client-core:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  |  \-
>>>>>> org.apache.hadoop:hadoop-yarn-common:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  +-
>>>>>> org.apache.hadoop:hadoop-mapreduce-client-jobclient:jar:2.2.0:provided
>>>>>> [INFO] |  |  |  \-
>>>>>> org.apache.hadoop:hadoop-annotations:jar:2.2.0:provided
>>>>>> [INFO] |  |  +-
>>>>>> org.apache.spark:spark-launcher_2.10:jar:1.6.1:provided
>>>>>> [INFO] |  |  +-
>>>>>> org.apache.spark:spark-network-common_2.10:jar:1.6.1:provided
>>>>>> [INFO] |  |  +-
>>>>>> org.apache.spark:spark-network-shuffle_2.10:jar:1.6.1:provided
>>>>>> [INFO] |  |  |  \-
>>>>>> org.fusesource.leveldbjni:leveldbjni-all:jar:1.8:provided
>>>>>> [INFO] |  |  +- org.apache.spark:spark-unsafe_2.10:jar:1.6.1:provided
>>>>>> [INFO] |  |  +- net.java.dev.jets3t:jets3t:jar:0.7.1:provided
>>>>>> [INFO] |  |  |  \-
>>>>>> commons-httpclient:commons-httpclient:jar:3.1:provided
>>>>>> [INFO] |  |  +- org.apache.curator:curator-recipes:jar:2.4.0:compile
>>>>>> [INFO] |  |  +-
>>>>>> org.eclipse.jetty.orbit:javax.servlet:jar:3.0.0.v201112011016:provided
>>>>>> [INFO] |  |  +- org.apache.commons:commons-lang3:jar:3.3.2:provided
>>>>>> [INFO] |  |  +- org.apache.commons:commons-math3:jar:3.4.1:provided
>>>>>> [INFO] |  |  +- com.google.code.findbugs:jsr305:jar:1.3.9:compile
>>>>>> [INFO] |  |  +- org.slf4j:jcl-over-slf4j:jar:1.7.10:compile
>>>>>> [INFO] |  |  +- org.slf4j:slf4j-log4j12:jar:1.7.10:provided
>>>>>> [INFO] |  |  +- com.ning:compress-lzf:jar:1.0.3:compile
>>>>>> [INFO] |  |  +- net.jpountz.lz4:lz4:jar:1.3.0:compile
>>>>>> [INFO] |  |  +- org.roaringbitmap:RoaringBitmap:jar:0.5.11:compile
>>>>>> [INFO] |  |  +- commons-net:commons-net:jar:2.2:provided
>>>>>> [INFO] |  |  +- com.typesafe.akka:akka-remote_2.10:jar:2.3.11:provided
>>>>>> [INFO] |  |  |  +-
>>>>>> com.typesafe.akka:akka-actor_2.10:jar:2.3.11:provided
>>>>>> [INFO] |  |  |  |  \- com.typesafe:config:jar:1.2.1:provided
>>>>>> [INFO] |  |  |  +- com.google.protobuf:protobuf-java:jar:2.5.0:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> org.uncommons.maths:uncommons-maths:jar:1.2.2a:provided
>>>>>> [INFO] |  |  +- com.typesafe.akka:akka-slf4j_2.10:jar:2.3.11:provided
>>>>>> [INFO] |  |  +- org.json4s:json4s-jackson_2.10:jar:3.2.10:provided
>>>>>> [INFO] |  |  |  \- org.json4s:json4s-core_2.10:jar:3.2.10:provided
>>>>>> [INFO] |  |  |     +- org.json4s:json4s-ast_2.10:jar:3.2.10:provided
>>>>>> [INFO] |  |  |     \- org.scala-lang:scalap:jar:2.10.0:provided
>>>>>> [INFO] |  |  |        \-
>>>>>> org.scala-lang:scala-compiler:jar:2.10.0:provided
>>>>>> [INFO] |  |  +- com.sun.jersey:jersey-server:jar:1.9:compile
>>>>>> [INFO] |  |  |  \- asm:asm:jar:3.1:compile
>>>>>> [INFO] |  |  +- com.sun.jersey:jersey-core:jar:1.9:compile
>>>>>> [INFO] |  |  +-
>>>>>> org.apache.mesos:mesos:jar:shaded-protobuf:0.21.1:provided
>>>>>> [INFO] |  |  +- io.netty:netty-all:jar:4.0.29.Final:provided
>>>>>> [INFO] |  |  +- com.clearspring.analytics:stream:jar:2.7.0:provided
>>>>>> [INFO] |  |  +- io.dropwizard.metrics:metrics-core:jar:3.1.2:provided
>>>>>> [INFO] |  |  +- io.dropwizard.metrics:metrics-jvm:jar:3.1.2:provided
>>>>>> [INFO] |  |  +- io.dropwizard.metrics:metrics-json:jar:3.1.2:provided
>>>>>> [INFO] |  |  +-
>>>>>> io.dropwizard.metrics:metrics-graphite:jar:3.1.2:provided
>>>>>> [INFO] |  |  +- org.apache.ivy:ivy:jar:2.4.0:provided
>>>>>> [INFO] |  |  +- oro:oro:jar:2.0.8:provided
>>>>>> [INFO] |  |  +- org.tachyonproject:tachyon-client:jar:0.8.2:provided
>>>>>> [INFO] |  |  |  +- commons-io:commons-io:jar:2.4:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> org.tachyonproject:tachyon-underfs-hdfs:jar:0.8.2:provided
>>>>>> [INFO] |  |  |  +-
>>>>>> org.tachyonproject:tachyon-underfs-s3:jar:0.8.2:provided
>>>>>> [INFO] |  |  |  \-
>>>>>> org.tachyonproject:tachyon-underfs-local:jar:0.8.2:provided
>>>>>> [INFO] |  |  +- net.razorvine:pyrolite:jar:4.9:provided
>>>>>> [INFO] |  |  \- net.sf.py4j:py4j:jar:0.9:provided
>>>>>> [INFO] |  +- org.scala-lang:scala-library:jar:2.10.5:compile
>>>>>> [INFO] |  \- org.spark-project.spark:unused:jar:1.0.0:compile
>>>>>> [INFO] +-
>>>>>> org.apache.spark:spark-streaming-kafka_2.10:jar:1.6.1:compile
>>>>>> [INFO] |  \- org.apache.kafka:kafka_2.10:jar:0.8.2.1:compile
>>>>>> [INFO] |     +- com.yammer.metrics:metrics-core:jar:2.2.0:compile
>>>>>> [INFO] |     +- org.apache.kafka:kafka-clients:jar:0.8.2.1:compile
>>>>>> [INFO] |     \- com.101tec:zkclient:jar:0.3:compile
>>>>>> [INFO] +- io.druid:tranquility-core_2.10:jar:0.7.4:compile
>>>>>> [INFO] |  +- com.metamx:scala-util_2.10:jar:1.11.6:compile
>>>>>> [INFO] |  |  +- com.metamx:loglady_2.10:jar:1.1.0-mmx:compile
>>>>>> [INFO] |  |  +- com.metamx:http-client:jar:1.0.3:compile
>>>>>> [INFO] |  |  +- com.metamx:emitter:jar:0.3.3:compile
>>>>>> [INFO] |  |  +- com.metamx:server-metrics:jar:0.2.6:compile
>>>>>> [INFO] |  |  +- commons-lang:commons-lang:jar:2.6:compile
>>>>>> [INFO] |  |  +- joda-time:joda-time:jar:2.1:compile
>>>>>> [INFO] |  |  +- org.joda:joda-convert:jar:1.6:compile
>>>>>> [INFO] |  |  +- org.scalaj:scalaj-time_2.10:jar:0.5:compile
>>>>>> [INFO] |  |  +- org.skife.config:config-magic:jar:0.9:compile
>>>>>> [INFO] |  |  +- com.google.guava:guava:jar:16.0.1:compile
>>>>>> [INFO] |  |  +- org.yaml:snakeyaml:jar:1.11:compile
>>>>>> [INFO] |  |  +- org.jdbi:jdbi:jar:2.27:compile
>>>>>> [INFO] |  |  +- mysql:mysql-connector-java:jar:5.1.18:compile
>>>>>> [INFO] |  |  +- com.h2database:h2:jar:1.3.158:compile
>>>>>> [INFO] |  |  +- c3p0:c3p0:jar:0.9.1.2:compile
>>>>>> [INFO] |  |  +- org.apache.zookeeper:zookeeper:jar:3.4.5:compile
>>>>>> [INFO] |  |  |  \- jline:jline:jar:0.9.94:compile
>>>>>> [INFO] |  |  |     \- junit:junit:jar:3.8.1:compile
>>>>>> [INFO] |  |  +- org.apache.curator:curator-framework:jar:2.6.0:compile
>>>>>> [INFO] |  |  |  \- org.apache.curator:curator-client:jar:2.6.0:compile
>>>>>> [INFO] |  |  \-
>>>>>> org.apache.curator:curator-x-discovery:jar:2.6.0:compile
>>>>>> [INFO] |  +- com.metamx:java-util:jar:0.27.4:compile
>>>>>> [INFO] |  |  \- net.sf.opencsv:opencsv:jar:2.3:compile
>>>>>> [INFO] |  +- io.netty:netty:jar:3.10.5.Final:compile
>>>>>> [INFO] |  +- com.twitter:util-core_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-function_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  \- com.twitter:jsr166e:jar:1.0.0:compile
>>>>>> [INFO] |  +- com.twitter:finagle-core_2.10:jar:6.31.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-app_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  |  \- com.twitter:util-registry_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-cache_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-codec_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-collection_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> commons-collections:commons-collections:jar:3.2.1:compile
>>>>>> [INFO] |  |  +- com.twitter:util-hashing_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-jvm_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-lint_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  +- com.twitter:util-logging_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  |  \- com.twitter:util-stats_2.10:jar:6.30.0:compile
>>>>>> [INFO] |  +- com.twitter:finagle-http_2.10:jar:6.31.0:compile
>>>>>> [INFO] |  +- org.slf4j:slf4j-api:jar:1.7.12:compile
>>>>>> [INFO] |  +- org.slf4j:jul-to-slf4j:jar:1.7.12:compile
>>>>>> [INFO] |  +- org.apache.httpcomponents:httpclient:jar:4.3.3:compile
>>>>>> [INFO] |  |  +- commons-logging:commons-logging:jar:1.1.3:compile
>>>>>> [INFO] |  |  \- commons-codec:commons-codec:jar:1.6:compile
>>>>>> [INFO] |  +- org.apache.httpcomponents:httpcore:jar:4.3.3:compile
>>>>>> [INFO] |  +- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
>>>>>> [INFO] |  +-
>>>>>> org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
>>>>>> [INFO] |  +- com.fasterxml.jackson.core:jackson-core:jar:2.4.6:compile
>>>>>> [INFO] |  +-
>>>>>> com.fasterxml.jackson.core:jackson-annotations:jar:2.4.6:compile
>>>>>> [INFO] |  +-
>>>>>> com.fasterxml.jackson.core:jackson-databind:jar:2.4.6:compile
>>>>>> [INFO] |  +-
>>>>>> com.fasterxml.jackson.dataformat:jackson-dataformat-smile:jar:2.4.6:compile
>>>>>> [INFO] |  +-
>>>>>> com.fasterxml.jackson.datatype:jackson-datatype-joda:jar:2.4.6:compile
>>>>>> [INFO] |  +-
>>>>>> com.fasterxml.jackson.module:jackson-module-scala_2.10:jar:2.4.5:compile
>>>>>> [INFO] |  |  \- org.scala-lang:scala-reflect:jar:2.10.4:compile
>>>>>> [INFO] |  +- io.druid:druid-server:jar:0.8.2:compile
>>>>>> [INFO] |  |  +- io.druid:druid-processing:jar:0.8.2:compile
>>>>>> [INFO] |  |  |  +- io.druid:druid-common:jar:0.8.2:compile
>>>>>> [INFO] |  |  |  |  +- io.druid:druid-api:jar:0.3.13:compile
>>>>>> [INFO] |  |  |  |  |  \- io.airlift:airline:jar:0.7:compile
>>>>>> [INFO] |  |  |  |  |     \-
>>>>>> com.google.code.findbugs:annotations:jar:2.0.3:compile
>>>>>> [INFO] |  |  |  |  +-
>>>>>> org.apache.commons:commons-dbcp2:jar:2.0.1:compile
>>>>>> [INFO] |  |  |  |  |  \-
>>>>>> org.apache.commons:commons-pool2:jar:2.2:compile
>>>>>> [INFO] |  |  |  |  +- commons-pool:commons-pool:jar:1.6:compile
>>>>>> [INFO] |  |  |  |  +-
>>>>>> org.hibernate:hibernate-validator:jar:5.1.3.Final:compile
>>>>>> [INFO] |  |  |  |  |  +- org.jboss.logging:jboss-logging:jar:3.1.3.GA:
>>>>>> compile
>>>>>> [INFO] |  |  |  |  |  \- com.fasterxml:classmate:jar:1.0.0:compile
>>>>>> [INFO] |  |  |  |  +- javax.el:javax.el-api:jar:3.0.0:compile
>>>>>> [INFO] |  |  |  |  +-
>>>>>> com.fasterxml.jackson.datatype:jackson-datatype-guava:jar:2.4.6:compile
>>>>>> [INFO] |  |  |  |  \-
>>>>>> org.apache.logging.log4j:log4j-jul:jar:2.3:compile
>>>>>> [INFO] |  |  |  +- com.metamx:bytebuffer-collections:jar:0.2.1:compile
>>>>>> [INFO] |  |  |  |  \- com.metamx:extendedset:jar:1.3.9:compile
>>>>>> [INFO] |  |  |  +- com.ibm.icu:icu4j:jar:4.8.1:compile
>>>>>> [INFO] |  |  |  +- org.mozilla:rhino:jar:1.7R5:compile
>>>>>> [INFO] |  |  |  \- org.mapdb:mapdb:jar:1.0.8:compile
>>>>>> [INFO] |  |  +- io.druid:druid-aws-common:jar:0.8.2:compile
>>>>>> [INFO] |  |  |  \- com.amazonaws:aws-java-sdk:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-support:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-simpledb:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-simpleworkflow:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-storagegateway:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-route53:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-s3:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-importexport:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-sts:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-sqs:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-rds:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-redshift:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-elasticbeanstalk:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-glacier:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-iam:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-datapipeline:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-elasticloadbalancing:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-emr:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-elasticache:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-elastictranscoder:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-ec2:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-dynamodb:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-sns:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cloudtrail:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cloudwatch:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-logs:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cognitoidentity:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cognitosync:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-directconnect:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cloudformation:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cloudfront:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-kinesis:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-opsworks:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-ses:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-autoscaling:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cloudsearch:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cloudwatchmetrics:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-swf-libraries:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-codedeploy:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-codepipeline:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-kms:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-config:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-lambda:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-ecs:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-cloudhsm:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-ssm:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-workspaces:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-machinelearning:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-directory:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-efs:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-codecommit:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     +-
>>>>>> com.amazonaws:aws-java-sdk-devicefarm:jar:1.10.21:compile
>>>>>> [INFO] |  |  |     \-
>>>>>> com.amazonaws:aws-java-sdk-core:jar:1.10.21:compile
>>>>>> [INFO] |  |  +- io.druid:druid-console:jar:0.0.2:compile
>>>>>> [INFO] |  |  +- commons-cli:commons-cli:jar:1.2:compile
>>>>>> [INFO] |  |  +- javax.inject:javax.inject:jar:1:compile
>>>>>> [INFO] |  |  +- org.glassfish:javax.el:jar:3.0.0:compile
>>>>>> [INFO] |  |  +-
>>>>>> com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider:jar:2.4.6:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> com.fasterxml.jackson.jaxrs:jackson-jaxrs-base:jar:2.4.6:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> com.fasterxml.jackson.module:jackson-module-jaxb-annotations:jar:2.4.6:compile
>>>>>> [INFO] |  |  +-
>>>>>> com.fasterxml.jackson.jaxrs:jackson-jaxrs-smile-provider:jar:2.4.6:compile
>>>>>> [INFO] |  |  +- com.sun.jersey.contribs:jersey-guice:jar:1.19:compile
>>>>>> [INFO] |  |  |  \- com.sun.jersey:jersey-servlet:jar:1.19:compile
>>>>>> [INFO] |  |  +-
>>>>>> org.eclipse.jetty:jetty-server:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  |  +- javax.servlet:javax.servlet-api:jar:3.1.0:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> org.eclipse.jetty:jetty-http:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> org.eclipse.jetty:jetty-io:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  +-
>>>>>> org.eclipse.jetty:jetty-proxy:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> org.eclipse.jetty:jetty-client:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> org.eclipse.jetty:jetty-util:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  +- io.tesla.aether:tesla-aether:jar:0.0.5:compile
>>>>>> [INFO] |  |  |  +- org.eclipse.aether:aether-spi:jar:0.9.0.M2:compile
>>>>>> [INFO] |  |  |  +- org.eclipse.aether:aether-util:jar:0.9.0.M2:compile
>>>>>> [INFO] |  |  |  +- org.eclipse.aether:aether-impl:jar:0.9.0.M2:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> org.eclipse.aether:aether-connector-file:jar:0.9.0.M2:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> io.tesla.aether:aether-connector-okhttp:jar:0.0.9:compile
>>>>>> [INFO] |  |  |  |  +- com.squareup.okhttp:okhttp:jar:1.0.2:compile
>>>>>> [INFO] |  |  |  |  \-
>>>>>> org.apache.maven.wagon:wagon-provider-api:jar:2.4:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> org.apache.maven:maven-aether-provider:jar:3.1.1:compile
>>>>>> [INFO] |  |  |  |  +- org.apache.maven:maven-model:jar:3.1.1:compile
>>>>>> [INFO] |  |  |  |  +-
>>>>>> org.apache.maven:maven-model-builder:jar:3.1.1:compile
>>>>>> [INFO] |  |  |  |  +-
>>>>>> org.apache.maven:maven-repository-metadata:jar:3.1.1:compile
>>>>>> [INFO] |  |  |  |  \-
>>>>>> org.codehaus.plexus:plexus-utils:jar:3.0.15:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> org.apache.maven:maven-settings-builder:jar:3.1.1:compile
>>>>>> [INFO] |  |  |  |  \-
>>>>>> org.codehaus.plexus:plexus-interpolation:jar:1.19:compile
>>>>>> [INFO] |  |  |  \- org.apache.maven:maven-settings:jar:3.1.1:compile
>>>>>> [INFO] |  |  +- org.eclipse.aether:aether-api:jar:0.9.0.M2:compile
>>>>>> [INFO] |  |  +- org.antlr:antlr4-runtime:jar:4.0:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> org.abego.treelayout:org.abego.treelayout.core:jar:1.0.1:compile
>>>>>> [INFO] |  |  +- net.spy:spymemcached:jar:2.11.7:compile
>>>>>> [INFO] |  |  +-
>>>>>> org.eclipse.jetty:jetty-servlet:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> org.eclipse.jetty:jetty-security:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  +-
>>>>>> org.eclipse.jetty:jetty-servlets:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> org.eclipse.jetty:jetty-continuation:jar:9.2.5.v20141112:compile
>>>>>> [INFO] |  |  +- com.ircclouds.irc:irc-api:jar:1.0-0014:compile
>>>>>> [INFO] |  |  +- com.maxmind.geoip2:geoip2:jar:0.4.0:compile
>>>>>> [INFO] |  |  |  +- com.maxmind.maxminddb:maxminddb:jar:0.2.0:compile
>>>>>> [INFO] |  |  |  +-
>>>>>> com.google.http-client:google-http-client:jar:1.15.0-rc:compile
>>>>>> [INFO] |  |  |  |  \- xpp3:xpp3:jar:1.1.4c:compile
>>>>>> [INFO] |  |  |  \-
>>>>>> com.google.http-client:google-http-client-jackson2:jar:1.15.0-rc:compile
>>>>>> [INFO] |  |  +- org.apache.derby:derby:jar:10.11.1.1:compile
>>>>>> [INFO] |  |  +- org.apache.derby:derbynet:jar:10.11.1.1:compile
>>>>>> [INFO] |  |  \- org.apache.derby:derbyclient:jar:10.11.1.1:compile
>>>>>> [INFO] |  +- com.google.inject:guice:jar:4.0:compile
>>>>>> [INFO] |  |  \- aopalliance:aopalliance:jar:1.0:compile
>>>>>> [INFO] |  +-
>>>>>> com.google.inject.extensions:guice-servlet:jar:4.0:compile
>>>>>> [INFO] |  +-
>>>>>> com.google.inject.extensions:guice-multibindings:jar:4.0:compile
>>>>>> [INFO] |  \- javax.validation:validation-api:jar:1.1.0.Final:compile
>>>>>> [INFO] +- log4j:log4j:jar:1.2.17:compile
>>>>>> [INFO] +- com.webradar.spci:spci-commons-avro:jar:1.0-SNAPSHOT:compile
>>>>>> [INFO] \- org.apache.avro:avro:jar:1.8.0:compile
>>>>>> [INFO]    +- com.thoughtworks.paranamer:paranamer:jar:2.7:compile
>>>>>> [INFO]    +- org.xerial.snappy:snappy-java:jar:1.1.1.3:compile
>>>>>> [INFO]    +- org.apache.commons:commons-compress:jar:1.8.1:compile
>>>>>> [INFO]    \- org.tukaani:xz:jar:1.5:compile
>>>>>> [INFO]
>>>>>> ------------------------------------------------------------------------
>>>>>> [INFO] BUILD SUCCESS
>>>>>> [INFO]
>>>>>> ------------------------------------------------------------------------
>>>>>> [INFO] Total time: 3.221 s
>>>>>> [INFO] Finished at: 2016-03-31T14:55:44-03:00
>>>>>> [INFO] Final Memory: 25M/429M
>>>>>> [INFO]
>>>>>> ------------------------------------------------------------------------
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>> On Thu, Mar 31, 2016 at 2:52 PM, Alonso Isidoro Roman <
>>>>>> alonsoir@gmail.com> wrote:
>>>>>>
>>>>>>> Run mvn dependency:tree and print the output here, i suspect that
>>>>>>> jackson library is included within more than one dependency.
>>>>>>>
>>>>>>> Alonso Isidoro Roman.
>>>>>>>
>>>>>>> Mis citas preferidas (de hoy) :
>>>>>>> "Si depurar es el proceso de quitar los errores de software,
>>>>>>> entonces programar debe ser el proceso de introducirlos..."
>>>>>>>  -  Edsger Dijkstra
>>>>>>>
>>>>>>> My favorite quotes (today):
>>>>>>> "If debugging is the process of removing software bugs, then
>>>>>>> programming must be the process of putting ..."
>>>>>>>   - Edsger Dijkstra
>>>>>>>
>>>>>>> "If you pay peanuts you get monkeys"
>>>>>>>
>>>>>>>
>>>>>>> 2016-03-31 19:21 GMT+02:00 Marcelo Oikawa <
>>>>>>> marcelo.oikawa@webradar.com>:
>>>>>>>
>>>>>>>> Hey, Ted
>>>>>>>>
>>>>>>>>     <fasterxml.jackson.version>2.4.4</fasterxml.jackson.version>
>>>>>>>>>
>>>>>>>>> Looks like Tranquility uses different version of jackson.
>>>>>>>>>
>>>>>>>>> How do you build your jar ?
>>>>>>>>>
>>>>>>>>
>>>>>>>> I'm building a jar with dependencies using the maven assembly
>>>>>>>> plugin. Below is all jackson's dependencies:
>>>>>>>>
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.module:jackson-module-scala_2.10:jar:2.4.5:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.core:jackson-databind:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.datatype:jackson-datatype-joda:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.dataformat:jackson-dataformat-smile:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.jaxrs:jackson-jaxrs-smile-provider:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.jaxrs:jackson-jaxrs-base:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.module:jackson-module-jaxb-annotations:jar:2.4.6:compile
>>>>>>>> [INFO]    com.fasterxml.jackson.core:jackson-core:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.datatype:jackson-datatype-guava:jar:2.4.6:compile
>>>>>>>> [INFO]
>>>>>>>> com.fasterxml.jackson.core:jackson-annotations:jar:2.4.6:compile
>>>>>>>> [INFO]    org.json4s:json4s-jackson_2.10:jar:3.2.10:provided
>>>>>>>> [INFO]    org.codehaus.jackson:jackson-xc:jar:1.8.3:provided
>>>>>>>> [INFO]    org.codehaus.jackson:jackson-jaxrs:jar:1.8.3:provided
>>>>>>>> [INFO]    org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
>>>>>>>> [INFO]    org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
>>>>>>>> [INFO]
>>>>>>>> com.google.http-client:google-http-client-jackson2:jar:1.15.0-rc:compile
>>>>>>>>
>>>>>>>> As you can see, my jar requires fasterxml 2.4.6. In that case, what
>>>>>>>> does spark do? Does it run my jar with my jackson lib (inside my jar) or
>>>>>>>> uses the jackson version (2.4.4) used by spark?
>>>>>>>>
>>>>>>>> Note that one of my dependencies is:
>>>>>>>>
>>>>>>>> <dependency>
>>>>>>>>     <groupId>org.apache.spark</groupId>
>>>>>>>>     <artifactId>spark-streaming_2.10</artifactId>
>>>>>>>>     <version>1.6.1</version>
>>>>>>>>     <scope>provided</scope>
>>>>>>>> </dependency>
>>>>>>>>
>>>>>>>> and the jackson version 2.4.4 was not listed in maven
>>>>>>>> dependencies...
>>>>>>>>
>>>>>>>>
>>>>>>>>>
>>>>>>>>> Consider using maven-shade-plugin to resolve the conflict if you
>>>>>>>>> use maven.
>>>>>>>>>
>>>>>>>>> Cheers
>>>>>>>>>
>>>>>>>>> On Thu, Mar 31, 2016 at 9:50 AM, Marcelo Oikawa <
>>>>>>>>> marcelo.oikawa@webradar.com> wrote:
>>>>>>>>>
>>>>>>>>>> Hi, list.
>>>>>>>>>>
>>>>>>>>>> We are working on a spark application that sends messages to
>>>>>>>>>> Druid. For that, we're using Tranquility core. In my local test, I'm using
>>>>>>>>>> the "spark-1.6.1-bin-hadoop2.6" distribution and the following dependencies
>>>>>>>>>> in my app:
>>>>>>>>>>
>>>>>>>>>> <dependency>
>>>>>>>>>>     <groupId>org.apache.spark</groupId>
>>>>>>>>>>     <artifactId>spark-streaming_2.10</artifactId>
>>>>>>>>>>     <version>1.6.1</version>
>>>>>>>>>>     <scope>provided</scope>
>>>>>>>>>> </dependency>
>>>>>>>>>> <dependency>
>>>>>>>>>>     <groupId>io.druid</groupId>
>>>>>>>>>>     <artifactId>tranquility-core_2.10</artifactId>
>>>>>>>>>>     <version>0.7.4</version>
>>>>>>>>>> </dependency>
>>>>>>>>>>
>>>>>>>>>> But i getting the error down below when Tranquility tries to
>>>>>>>>>> create Tranquilizer object:
>>>>>>>>>>
>>>>>>>>>> tranquilizer = DruidBeams.fromConfig(dataSourceConfig).buildTranquilizer(tranquilizerBuider);
>>>>>>>>>>
>>>>>>>>>> The stacktrace is down below:
>>>>>>>>>>
>>>>>>>>>> java.lang.IllegalAccessError: tried to access method
>>>>>>>>>> com.fasterxml.jackson.databind.introspect.AnnotatedMember.getAllAnnotations()Lcom/fasterxml/jackson/databind/introspect/AnnotationMap;
>>>>>>>>>> from class
>>>>>>>>>> com.fasterxml.jackson.databind.introspect.GuiceAnnotationIntrospector
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.introspect.GuiceAnnotationIntrospector.findInjectableValueId(GuiceAnnotationIntrospector.java:39)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair.findInjectableValueId(AnnotationIntrospectorPair.java:269)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.BasicDeserializerFactory._addDeserializerConstructors(BasicDeserializerFactory.java:433)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.BasicDeserializerFactory._constructDefaultValueInstantiator(BasicDeserializerFactory.java:325)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.BasicDeserializerFactory.findValueInstantiator(BasicDeserializerFactory.java:266)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.BeanDeserializerFactory.buildBeanDeserializer(BeanDeserializerFactory.java:266)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.BeanDeserializerFactory.createBeanDeserializer(BeanDeserializerFactory.java:168)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache._createDeserializer2(DeserializerCache.java:399)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache._createDeserializer(DeserializerCache.java:348)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache._createAndCache2(DeserializerCache.java:261)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache._createAndCacheValueDeserializer(DeserializerCache.java:241)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache.findValueDeserializer(DeserializerCache.java:142)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.DeserializationContext.findContextualValueDeserializer(DeserializationContext.java:380)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.impl.PropertyBasedCreator.construct(PropertyBasedCreator.java:96)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.BeanDeserializerBase.resolve(BeanDeserializerBase.java:413)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache._createAndCache2(DeserializerCache.java:292)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache._createAndCacheValueDeserializer(DeserializerCache.java:241)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.deser.DeserializerCache.findValueDeserializer(DeserializerCache.java:142)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.DeserializationContext.findRootValueDeserializer(DeserializationContext.java:394)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.ObjectMapper._findRootDeserializer(ObjectMapper.java:3169)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.ObjectMapper._convert(ObjectMapper.java:2767)
>>>>>>>>>>     at
>>>>>>>>>> com.fasterxml.jackson.databind.ObjectMapper.convertValue(ObjectMapper.java:2700)
>>>>>>>>>>     at
>>>>>>>>>> com.metamx.tranquility.druid.DruidBeams$.fromConfigInternal(DruidBeams.scala:192)
>>>>>>>>>>     at
>>>>>>>>>> com.metamx.tranquility.druid.DruidBeams$.fromConfig(DruidBeams.scala:119)
>>>>>>>>>>     at
>>>>>>>>>> com.metamx.tranquility.druid.DruidBeams.fromConfig(DruidBeams.scala)
>>>>>>>>>>
>>>>>>>>>> Does someone faced that problem too?
>>>>>>>>>>
>>>>>>>>>> I know that it's related to jackson lib conflict but could anyone
>>>>>>>>>> please shed some light? I created a jar with dependencies and when I submit
>>>>>>>>>> a job for spark, does it run with just with the libraries inside the jar,
>>>>>>>>>> right? Where is the conflict between jacksons libraries?
>>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>
>>>>>>>
>>>>>>
>>>>>
>>>>
>>>
>>
>

Mime
View raw message